Node('k2601b.psi.ch',
     'source meter keithley 2601b',
     interface='tcp://5000',
)


Mod('vsource_io',
    'frappy_psi.k2601b.K2601bIO',
    'source meter',
#    uri = '129.129.156.90:5025',
     uri = "sans-sample-ts:3011"
)


Mod('source',
    'frappy_psi.k2601b.SourceMeter'
    '',
    description = "keithley sourcemeter",
    mode = 1,
    vlimit = 6.0,
    ilimit = 2.,
    io = 'vsource_io',
)

Mod('volt',
    'frappy_psi.k2601b.Voltage'
    '',
    description = "Voltage Source",
    active = True,
    limit = 5.0,
    target = 0.0,
    sourcemeter = 'source',
    io = 'vsource_io',
)
Mod('cur',
    'frappy_psi.k2601b.Current'
    '',
    description = "Current Source",
    active = False,
    limit = 0.10,
    target = 0.0,
    sourcemeter = 'source',
    io = 'vsource_io',
)
